ホーム

転職ドラフト(次回12/15)

Nuxt3のプロジェクトを作成する方法(コマンドだけ)

いつもご利用ありがとうございます。このブログは、広告費によって運営されています。

⇨ Vue 記事の目次はこちら

環境
node --version
v16.13.0

目次

  1. 結論
  2. node のバージョンが 14.16 未満の人はバージョンアップが必要

結論

※app-name は任意のプロジェクト名

①プロジェクトを作成したいディレクトリに移動する
②npx nuxi init app-name
③cd app-name
④yarn install
⑤yarn dev
⑥http://localhost:3000/を開いて表示されていればOKです。

nuxtの画像

ドキュメントのここに書いてある内容を要約してます

node のバージョンが 14.16 未満の人はバージョンアップが必要

バージョンが足りていないと、yarn install の段階で以下のようなエラーがでました

error nuxt3@3.0.0-27277498.850ef69: The engine "node" is incompatible with this module. Expected version "^14.16.0 || ^16.11.0 || ^17.0.0". Got "14.15.4"
error Found incompatible module.

node のバージョンが 14.15.4 だったので、バージョンアップして解決しました。

もともとの node を入れたプロセスにもよるとは思いますが、自分は

node 公式ダウンロードページ

こちらのページで LTS 版をインストールしてバージョンアップ完了です(簡単で助かるーー)

まとめ

以上、Nuxt3 のプロジェクトを作成するコマンドだけの記事でした!

苦情、誤りに関する指摘は下の Twitter の DM から頂ければ幸いです。

それでは!